IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CF_SCA_ValidarVencimientosPersona]') 
                   and [type] = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_SCA_ValidarVencimientosPersona
END
GO

CREATE FUNCTION [dbo].[CF_SCA_ValidarVencimientosPersona](@pId_Cliente INT, @pId_Acceso SMALLINT, @pFecha DATETIME)
RETURNS VARCHAR(10)
AS
BEGIN
DECLARE @Id_Tipo_Venc_Vencido	VARCHAR(10)

SET @Id_Tipo_Venc_Vencido = ''

SET @Id_Tipo_Venc_Vencido = ISNULL((SELECT MAX(CV.Id_Tipo_Venc)
									FROM Clientes_Venc CV, CD_Accesos_Venc CAV
									WHERE 
									CV.Id_Tipo_Venc = CAV.Id_Tipo_Venc
									AND CAV.Id_Acceso = @pId_Acceso
									AND CV.Id_Cliente = @pId_Cliente
									AND CONVERT(DATE, ISNULL(CV.Fecha, '19000101')) < CONVERT(DATE, @pFecha))
								,'')

RETURN ISNULL(@Id_Tipo_Venc_Vencido, '')

END